/* Common CSS Declarations */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    background-color: #000;
    font-size: 62.5%;
}

.main-nav{
    width: 100%;
    height: 8rem;

    background-color: #000;
    padding: 0 15rem;

    display:flex;
    justify-content: space-between;
    align-items: center;
}

.main-nav-par{
    font-size: 2.6rem;
    color: #fff;
}

.main-nav-list{
    display: flex;
    list-style: none;
    gap: 3rem;
}

.menu-nav-link:link,
.menu-nav-link:visited {
    color: #fff;
    font-size: 1.6rem;
    text-decoration: none;
}

.menu-nav-link:hover,
.menu-nav-link:active {
    color: #FFD300;
    font-weight: bold;
}

.hero-section {
    position: relative;
    height: calc(100vh - 8rem);
    overflow: hidden;
}

/* About Us */
.about-us{
    position: absolute;
    top: 15%;
    left: 10%;
    text-align: center;
    color: #fff;
    width: 35%;
}

.about-us h1 {
    font-size: 4rem;
    margin-bottom: 2rem;
}

.about-us p {
    font-size: 1.7rem;
    line-height: 1.5;
    text-align: left;
}

.services-list {
    font-size: 1.6rem;
    list-style: circle;
    margin-left: 4rem;
    margin-bottom: 1rem;
    text-align: left;
}


.hero-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.cctv-image {
    position: absolute;
    transform: translate(250%, -100%);
    width: 25%;
    height: 100%;
}

.language-list {
    position: absolute;
    top: 30%;
    right: 2%;

    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 2rem;

    font-size: 1.6rem;
    color: #000;
    font-weight: bold;

    background-color: #fff;
    padding: 0.5rem 1rem;
    border-radius: 5px;
}

.contact-button:link,
.contact-button:visited {
    position: absolute;
    bottom: 5rem;
    right: 5rem;
    background-color: #fff;
    color: #000;
    font-weight: bold;
    padding: 1rem 2rem;
    text-decoration: none;
    font-size: 1.6rem;
    border-radius: 5px;
}

.contact-button:hover,
.contact-button:active {
    background-color: #FFD300;
    color: #000;
}

/* Service Page */
.service-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    padding: 2rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    max-width: 1000px;
}

.service-item {
    background-color: rgba(255, 255, 255, 0.9);
    padding: 1rem;
    border-radius: 8px;
    text-align: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.service-item h2 {
    font-size: 1.8rem;
    color: #000;
    margin-bottom: 1rem;
}

.service-item ul {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    font-size: 1.4rem;
    color: #333;
    line-height: 1.15;
    text-align: left;
    padding-left: 3rem;
}

/* Contact Page */
.contact-flex {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;

    padding: 1rem;
    width: 100%;
    max-width: 1200px;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 8px;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.contact-info {
    flex: 1;
    padding: 2rem;
}

.contact-info p {
    font-size: 1.6rem;
    color: #000;
    margin-bottom: 1rem;
}

.contact-info p span {
    font-weight: bold;;
}

.contact-info a{
    text-decoration: none;
    color: #000;
}

.icon{
    width: 2.4rem;
    height: 2.4rem;
    margin-right: 1.2rem;
    vertical-align: middle;
}

.contact-map {
    flex: 1;
    padding: 2rem;
}

.map-image{
    width: 650px;
    height: auto;
    border-radius: 8px;
}